Groovy 1.7.10

## org.codehaus.groovy.ast.stmt
[Java] Class ContinueStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.ContinueStatement

    public class ContinueStatement
    extends Statement

Represents a continue statement in a loop statement

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Constructor Summary
`ContinueStatement()`
`ContinueStatement(String label)`

Method Summary
`String` | `getLabel()`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ContinueStatement

    public ContinueStatement()

### ContinueStatement

    public ContinueStatement(String label)

Method Detail

### getLabel

    public String getLabel()

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.